#
# spec file for package atool
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           atool
Version:        0.39.0
Release:        lp150.4.1
Summary:        Commandline Tool for Managing File Archives of various Types
License:        GPL-2.0-or-later
Group:          Productivity/Archiving/Compression
URL:            http://www.nongnu.org/atool/
Source0:        http://download-mirror.savannah.gnu.org/releases/atool/atool-%{version}.tar.gz
Source1:        http://download-mirror.savannah.gnu.org/releases/atool/atool-%{version}.tar.gz.sig
Source2:        https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=%{name}&download=1#/%{name}.keyring
Requires:       bzip2
Requires:       gzip
Requires:       tar
Suggests:       arc
Suggests:       arj
Suggests:       cpio
Suggests:       lha
Suggests:       lzma
Suggests:       lzop
Suggests:       nomarch
%if 0%{?suse_version} > 1500
Suggests:       p7zip-full
%else
Suggests:       p7zip
%endif
Suggests:       rar
Suggests:       unace
Suggests:       unalz
Suggests:       unarj
Suggests:       unrar
Suggests:       unzip
Suggests:       zip
BuildArch:      noarch

%description
atool is a script for managing file archives of various types (tar,
tar+gzip, zip, etc).

The main command is probably "aunpack" which extracts files from an
archive. It overcomes the dreaded "multiple files in archive root"
problem by first extracting to a unique subdirectory, and then moving
back the files if possible.

aunpack also prevents local files from being overwritten by
mistake. Other commands provided are apack (for creating archives),
als (for listing files in archives), and acat (for extracting files to
stdout).

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%license COPYING
%doc ChangeLog NEWS README TODO
%{_bindir}/acat
%{_bindir}/adiff
%{_bindir}/als
%{_bindir}/apack
%{_bindir}/arepack
%{_bindir}/atool
%{_bindir}/aunpack
%{_mandir}/man1/acat.1%{?ext_man}
%{_mandir}/man1/adiff.1%{?ext_man}
%{_mandir}/man1/als.1%{?ext_man}
%{_mandir}/man1/apack.1%{?ext_man}
%{_mandir}/man1/arepack.1%{?ext_man}
%{_mandir}/man1/atool.1%{?ext_man}
%{_mandir}/man1/aunpack.1%{?ext_man}

%changelog
* Mon Jul  2 2018 kstreitova@suse.com
- Suggests p7zip-full for TW as 7z binary used in atool was moved
  there
* Wed Mar 14 2018 mpluskal@suse.com
- Modernise spec file with spec-cleaner
- Fetch keyring from savannah
* Fri May  8 2015 mpluskal@suse.com
- Add gpg signature
- Cleanup dependencies/conditionals
- Cleanup spec file with spec-cleaner
* Sat Apr 14 2012 pascal.bleser@opensuse.org
- update to 0.39.0:
  * add support for plzip, as well as --lzip in GNU tar 1.23 and later
  * add support for lbzip2 and pigz
* Mon Aug 15 2011 pascal.bleser@opensuse.org
- update to 0.38.0:
  * fixed bug preventing saved amount of data not to be printed with arepack
  * added -O, --format-option option for specifying archiver options
  * exit gracefully when specifying an unsupported formats with arepack
  * fix identification of .xpi files as zip (Debian #530812)
  * fix identification of 7zip files (Debian #558003)
* Fri May 27 2011 pascal.bleser@opensuse.org
- update to 0.37.0:
  * added support for lzip and xz
  * fixed bug in arepack command with tar archives
  * the number of bytes saved is now printed in 'repack' mode
  * don't use -U parameter (to delete original archive) for lzop
  * added support for GNU tar's --xv, --lzop, and --lzma options when the
    corresponding atool options are enabled (use_tar_xv_option,
    use_tar_lzop_option and use_tar_lzma_option)
  * better checking of config file variables.
* Fri Feb 27 2009 guru@unixtech.be
- update to 0.36.0
* Mon Jun  9 2008 guru@unixtech.be
- new upstream version
* Thu Apr  3 2008 guru@unixtech.be
- added a Suggests for lzma
- added Authors: in description
- new upstream version: minor feature enhancements
* Wed Aug 22 2007 guru@unixtech.be
- update to 0.33.0
* Thu May 31 2007 guru@unixtech.be
- initial submission to openSUSE Build Service
